/*
*   \file
*   \remarks Black Box API Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, Black Box
*
*   Copyright (C) 2007 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef BLACKBOX_TST_API_H
#define BLACKBOX_TST_API_H

DRM_RESULT BB_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT BB_PostTestCase(long lTCID, char *strTCName);

DRM_RESULT Test_API_GetClientID(long argc, char **argv);
DRM_RESULT Test_CreateBindingInfo(long argc, char **argv);
DRM_RESULT Test_API_CanBind(long argc, char **argv);
DRM_RESULT Test_VerifyClientID(long argc, char **argv);
DRM_RESULT Test_GenRandomBlob(long argc, char **argv);
DRM_RESULT Test_API_HashValue(long argc, char **argv);
DRM_RESULT Test_BlobOps(long argc, char **argv);
DRM_RESULT Test_PKEncryptLarge(long argc, char **argv);
DRM_RESULT Test_API_DecryptLicense(long argc, char **argv);
DRM_RESULT Test_API_CipherKeySetup(long argc, char** argv);
DRM_RESULT Test_API_Encrypt(long argc, char **argv);
DRM_RESULT Test_API_Decrypt(long argc, char **argv);
DRM_RESULT Test_RenewBlackboxContext(long argc, char **argv);

#endif

